Bug 110218 - RuntimeError while editing partitions when /boot isn't close to start of disk
RuntimeError while editing partitions when /boot isn't close to start of disk
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-17 02:23 EST by bug
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 17:37:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bug 2003-11-17 02:23:45 EST
Description of problem:
Anaconda displays the same warning twice then crashes with a 
RuntimeError ("Returning partitions to state prior to edit failed") 
when trying to edit partitions on a drive where the /boot partition 
isn't towards the start of the disk.

Drive is a 60GB ide drive with a 20GB NTFS partition (hda1). Upon 
selecting Automatic Partitioning then click Next I get a warning 
saying /boot should be closer to the start of the disk. No worries. 
So in Disk Druid I delete /boot. But then I want to decrease the size 
of /. I get a crash after doing this. Details below.

Version-Release number of selected component (if applicable):
RHEL3 ES.

How reproducible:

Steps to Reproduce:
1. Select Automatic Partioning.
2. Click OK to warning about /boot.
3. Delete the /boot partition in Disk Druid.
4. Edit the / partition, changing the size to "Fill up to: 5000MB"
5. Click OK. Warning box appears about the placement of the boot 
partition with options "Modify Partition" or "Continue".
6. Click "Modify Partition".
7. The same warning box appears again.
8. Click "Modify Partition".
9. Anaconda crashes with a RuntimeError, here's the trackback:
File "/usr/lib/anaconda/iw/partition_gui.py", line 1033 in editCb
  self.editPartitionRequest(request)
File "/usr/lib/anaconda/iw/partition_gui.py", line 1096 in 
editPartitionRequest
  raise RuntimeError, ("Returning partitions to state "
RuntimeError: Returning partitions to state prior to edit failed
  
Result:
Anaconda crash.

Additional info:
Also the "Modify Partition" and "Continue" buttons seem to do exactly 
the same thing (i.e. allow the operation). (That is when they 
work...) The nomenclature is rather obscure. Does Continue mean 
continue the operation or continue as it was previously? Perhaps that 
deserves another bug?
Comment 1 Jeremy Katz 2003-11-17 17:41:40 EST
Is this reproducible?  I can't get it to happen in a quick test
attempt here.
Comment 2 bug 2003-11-17 18:45:59 EST
Yes, well twice at least. I will try again today following the exact
commands that I posted here and report back.
Comment 3 bug 2003-11-17 18:56:39 EST
Yep, oops I did it again. There were a few steps I missed out from the
Steps to Reproduce above:

(after selecting Auto Partitioning)
1a. Select "Remove all Linux partitions on this system"

(after deleting /boot)
3a. Click "Modify Partition" not "Continue" to the warning "Boot
partition may not meet booting constraints for your arch."

Also there's a workaround: try and modify the size of the / partition,
when it gives a warning click "Continue". The size reverts and doesn't
change, but it stops bothering you so you can go back and change it again.
Comment 4 bug 2003-11-17 19:39:40 EST
BTW I just reproduced it in FC1 install too. Traceback the same 
except the line numbers were 1048 and 1112 respectively.
Comment 5 Jeremy Katz 2005-02-01 17:37:55 EST
Chris fixed this in CVS a week or two ago.

Note You need to log in before you can comment on or make changes to this bug.